Skip to main content
v1

Drag the desktop mouse.

POST /v1/desktop/mouse/drag: request parameters and responses.

POST /v1/desktop/mouse/drag

Performs a health-gated drag gesture against the managed desktop and returns the resulting mouse position.

Request body

Required.

application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopMouseDragRequest"
  }
}

Related schemas: DesktopMouseDragRequest.

Responses

200

Desktop mouse position after drag

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopMousePositionResponse"
  }
}

Related schemas: DesktopMousePositionResponse.

400

Invalid mouse drag request

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

409

Desktop runtime is not ready

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

502

Desktop runtime health or input failed

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.